summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorRina Fujino <18257209+rina23q@users.noreply.github.com>2022-06-29 16:48:13 +0200
committerRina Fujino <18257209+rina23q@users.noreply.github.com>2022-06-29 16:48:13 +0200
commit1bc7890ff319bbeb17abb145f4e3eeedaffd7262 (patch)
treeb205713b731e3ce696592327b325219fd08bbbe8 /ci
parent406729d928879bc529b72e71c55ae5f809f43643 (diff)
Port integration test step to bash script for amd64
Signed-off-by: Rina Fujino <18257209+rina23q@users.noreply.github.com>
Diffstat (limited to 'ci')
-rwxr-xr-xci/integration_test/cargo_test_for_amd64.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/ci/integration_test/cargo_test_for_amd64.sh b/ci/integration_test/cargo_test_for_amd64.sh
new file mode 100755
index 00000000..59d79031
--- /dev/null
+++ b/ci/integration_test/cargo_test_for_amd64.sh
@@ -0,0 +1,8 @@
+#!/bin/bash -x
+
+set -euo pipefail
+
+# Compile in advance to avoid that cargo compiles during the test run
+# this seems to have an impact on some tests as the timing differs
+cargo test --verbose --no-run --features integration-test
+cargo build -p tedge_dummy_plugin